package com.yuchen.saas.park.api.vo.property;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName SaasParkPropertyPublicMeterVO
 * @Description TODO
 * @Author mqs
 * @Date 2024/9/30 17:43
 * @Version 1.0
 */
public class SaasParkPropertyPublicMeterVO {


    /**
     * 所属项目
     */
    @ApiModelProperty(name = "parkId", value = "所属项目")
    private Long parkId;
    /**
     * 所在房间
     */
    @ApiModelProperty(name = "roomId", value = "所在房间")
    private Long roomId;
    /**
     * 分摊方式 1:平均分摊;2:按建筑面积分摊;3:按使用面积分摊;4:按计费面积;
     */
    @ApiModelProperty(name = "apportionType", value = "分摊方式 1:平均分摊;2:按建筑面积分摊;3:按使用面积分摊;4:按计费面积;")
    private String apportionType;
    /**
     * 分摊面积
     */
    @ApiModelProperty(name = "apportionArea", value = "分摊面积")
    private BigDecimal apportionArea;
    /**
     * 仪表类型
     */
    @ApiModelProperty(name = "meterTypeId", value = "仪表类型")
    private Long meterTypeId;
    /**
     * 仪表名称
     */
    @ApiModelProperty(name = "meterName", value = "仪表名称")
    private String meterName;
    /**
     * 用途 1:公摊表;2:总表;
     */
    @ApiModelProperty(name = "useType", value = "用途 1:公摊表;2:总表;")
    private String useType;
    /**
     * 关联总表id
     */
    @ApiModelProperty(name = "summaryMeterId", value = "关联总表id")
    private Long summaryMeterId;
    /**
     * 表具编号
     */
    @ApiModelProperty(name = "meterNo", value = "表具编号")
    private String meterNo;
    /**
     * 倍率
     */
    @ApiModelProperty(name = "multiplyingPower", value = "倍率")
    private BigDecimal multiplyingPower;
    /**
     * 损耗率
     */
    @ApiModelProperty(name = "rateOfWaste", value = "损耗率")
    private BigDecimal rateOfWaste;
    /**
     * 最大读数
     */
    @ApiModelProperty(name = "maxReading", value = "最大读数")
    private BigDecimal maxReading;
    /**
     * 回程
     */
    @ApiModelProperty(name = "backhaul", value = "回程")
    private BigDecimal backhaul;
    /**
     * 是否抄表 0:否;1:是;
     */
    @ApiModelProperty(name = "izReadingMeter", value = "是否抄表 0:否;1:是;")
    private String izReadingMeter;
    /**
     * 抄表时间
     */
    @ApiModelProperty(name = "readingTime", value = "抄表时间")
    private Date readingTime;
    /**
     * 原始读数
     */
    @ApiModelProperty(name = "originalReading", value = "原始读数")
    private BigDecimal originalReading;
    /**
     * 设备类型
     */
    @ApiModelProperty(name = "equipmentType", value = "设备类型")
    private String equipmentType;
    /**
     * 设备编码
     */
    @ApiModelProperty(name = "equipmentNo", value = "设备编码")
    private String equipmentNo;
    /**
     * 关联资产
     */
    @ApiModelProperty(name = "propertyId", value = "关联资产")
    private Long propertyId;


    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public String getApportionType() {
        return apportionType;
    }

    public void setApportionType(String apportionType) {
        this.apportionType = apportionType;
    }

    public BigDecimal getApportionArea() {
        return apportionArea;
    }

    public void setApportionArea(BigDecimal apportionArea) {
        this.apportionArea = apportionArea;
    }

    public Long getMeterTypeId() {
        return meterTypeId;
    }

    public void setMeterTypeId(Long meterTypeId) {
        this.meterTypeId = meterTypeId;
    }

    public String getMeterName() {
        return meterName;
    }

    public void setMeterName(String meterName) {
        this.meterName = meterName;
    }

    public String getUseType() {
        return useType;
    }

    public void setUseType(String useType) {
        this.useType = useType;
    }

    public Long getSummaryMeterId() {
        return summaryMeterId;
    }

    public void setSummaryMeterId(Long summaryMeterId) {
        this.summaryMeterId = summaryMeterId;
    }

    public String getMeterNo() {
        return meterNo;
    }

    public void setMeterNo(String meterNo) {
        this.meterNo = meterNo;
    }

    public BigDecimal getMultiplyingPower() {
        return multiplyingPower;
    }

    public void setMultiplyingPower(BigDecimal multiplyingPower) {
        this.multiplyingPower = multiplyingPower;
    }

    public BigDecimal getRateOfWaste() {
        return rateOfWaste;
    }

    public void setRateOfWaste(BigDecimal rateOfWaste) {
        this.rateOfWaste = rateOfWaste;
    }

    public BigDecimal getMaxReading() {
        return maxReading;
    }

    public void setMaxReading(BigDecimal maxReading) {
        this.maxReading = maxReading;
    }

    public BigDecimal getBackhaul() {
        return backhaul;
    }

    public void setBackhaul(BigDecimal backhaul) {
        this.backhaul = backhaul;
    }

    public String getIzReadingMeter() {
        return izReadingMeter;
    }

    public void setIzReadingMeter(String izReadingMeter) {
        this.izReadingMeter = izReadingMeter;
    }

    public Date getReadingTime() {
        return readingTime;
    }

    public void setReadingTime(Date readingTime) {
        this.readingTime = readingTime;
    }

    public BigDecimal getOriginalReading() {
        return originalReading;
    }

    public void setOriginalReading(BigDecimal originalReading) {
        this.originalReading = originalReading;
    }

    public String getEquipmentType() {
        return equipmentType;
    }

    public void setEquipmentType(String equipmentType) {
        this.equipmentType = equipmentType;
    }

    public String getEquipmentNo() {
        return equipmentNo;
    }

    public void setEquipmentNo(String equipmentNo) {
        this.equipmentNo = equipmentNo;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }
}
